#pragma once

#include "CoreMinimal.h"
#include "AkPlatformInitializationSettingsBase.h"
#include "AkCommonInitializationSettings.h"
#include "AkCommunicationSettingsWithSystemInitialization.h"
#include "AkXboxOneGDKAdvancedInitializationSettings.h"
#include "AkXboxOneGDKInitializationSettings.generated.h"

UCLASS(Blueprintable)
class AKAUDIO_API UAkXboxOneGDKInitializationSettings : public UAkPlatformInitializationSettingsBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkCommonInitializationSettings CommonSettings;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkCommunicationSettingsWithSystemInitialization CommunicationSettings;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkXboxOneGDKAdvancedInitializationSettings AdvancedSettings;

public:
	UFUNCTION(BlueprintCallable)
	void MigrateMultiCoreRendering(bool NewValue);

public:
	UAkXboxOneGDKInitializationSettings();
};

FORCEINLINE uint32 GetTypeHash(const UAkXboxOneGDKInitializationSettings) { return 0; }
